Groovy 1.7.0

## groovy.mock.interceptor
Class MockFor

    java.lang.Object
      groovy.mock.interceptor.MockFor

    class MockFor
    extends Object

Facade over the Mocking details. A Mock's expectation is always sequence dependent and it's use always ends with a verify(). See also StubFor.

author:
  Dierk Koenig

author:
  Paul King

Property Summary
`Class` | `clazz`
`Demand` | `demand`
`def` | `expect`
`Map` | `instanceExpectations`
`MockProxyMetaClass` | `proxy`

Constructor Summary
`MockFor(Class clazz)`

Method Summary
`Object` | `proxyDelegateInstance()`
`Object` | `proxyDelegateInstance(def args)`
`Object` | `proxyInstance()`
`Object` | `proxyInstance(def args)`
`void` | `use(Closure closure)`
`void` | `use(GroovyObject obj, Closure closure)`
`void` | `verify(GroovyObject obj)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### clazz

    Class clazz

### demand

    Demand demand

### expect

    def expect

### instanceExpectations

    Map instanceExpectations

### proxy

    MockProxyMetaClass proxy

Constructor Detail

### MockFor

    public MockFor(Class clazz)

Method Detail

### proxyDelegateInstance

    Object proxyDelegateInstance()

### proxyDelegateInstance

    Object proxyDelegateInstance(def args)

### proxyInstance

    Object proxyInstance()

### proxyInstance

    Object proxyInstance(def args)

### use

    void use(Closure closure)

### use

    void use(GroovyObject obj, Closure closure)

### verify

    void verify(GroovyObject obj)

Copyright © 2003-2009 The Codehaus. All rights reserved.